Developer Documentation

Public Member Functions | List of all members
ACG::SceneGraph::SelectionNodeT< Mesh > Class Template Reference

`#include <ACG/Scenegraph/StatusNodesT.hh>`

Inheritance diagram for ACG::SceneGraph::SelectionNodeT< Mesh >:

## Public Member Functions
| SelectionNodeT (const Mesh &_mesh, BaseNode *_parent=0, const std::string &_name="<SelectionNode>")
| Constructor. More...
Public Member Functions inherited from ACG::SceneGraph::StatusNodeT< Mesh, SelectionModT< Mesh > >
| StatusNodeT (const Mesh &_mesh, BaseNode *_parent=0, const std::string &_name="<StatusNode>")
| constructor
virtual | ~StatusNodeT ()
| destructor
| ACG_CLASSNAME (StatusNode)
void | updateGeometry ()
| set geometry invalid, topology and selection is kept
void | updateTopology ()
| set topology invalid (updates everything)
void | updateSelection ()
| set selection invalid (Only selection changed, rest is kept)
void | setDrawMesh (DrawMeshT< Mesh > *_drawmesh)
| Set drawmesh. More...
void | getRenderObjects (IRenderer *_renderer, GLState &_state, const DrawModes::DrawMode &_drawMode, const class Material *_mat)
| support for shader-pipeline More...
DrawModes::DrawMode | availableDrawModes () const
void | boundingBox (Vec3d &_bbMin, Vec3d &_bbMax)
void | draw (GLState &_state, const DrawModes::DrawMode &_drawMode)
void | pick (GLState &, PickTarget)

## Additional Inherited Members
Public Types inherited from ACG::SceneGraph::StatusNodeT< Mesh, SelectionModT< Mesh > >
typedef StatusNodeBaseT< Mesh, SelectionModT< Mesh >, ::StatusNodes_ModTraits< SelectionModT< Mesh > >::StaticUsage > | BaseClass
typedef SelectionModT< Mesh > | ModType

## Detailed Description

### template<class Mesh>
class ACG::SceneGraph::SelectionNodeT< Mesh >

Renders the Selection status of Mesh Vertices/Faces/Edges

Definition at line 369 of file StatusNodesT.hh.

## Constructor & Destructor Documentation

## ◆ SelectionNodeT()

template<class Mesh>

ACG::SceneGraph::SelectionNodeT< Mesh >::SelectionNodeT | ( | const Mesh & | _mesh,
|  | BaseNode * | _parent = `0`,
|  | const std::string & | _name = `"<SelectionNode>"`
| ) |  |
| inline

Constructor.

Parameters

  _mesh | reference to mesh with status property
  _parent | Parent node in the scenegraph
  _name | Name of the Node

Definition at line 379 of file StatusNodesT.hh.

The documentation for this class was generated from the following file:

- OpenFlipper/libs_required/ACG/Scenegraph/StatusNodesT.hh